PETSc version 3.15.5
Fix/Edit manual page

# PetscOptionsUsed

Indicates if PETSc has used a particular option set in the database

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsUsed(PetscOptions options,const char *name,PetscBool *used)

Not Collective

### Input Parameter

| options | - options database, use NULL for default global database
| name | - string name of option

### Output Parameter

| used | - PETSC_TRUE if the option was used, otherwise false, including if option was not found in options database

### Notes

The value returned may be different on each process and depends on which options have been processed on the given process

### See Also

PetscOptionsView(), PetscOptionsLeft(), PetscOptionsAllUsed()

### Level

advanced

### Location

src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages